<template>
    <div>
        <!-- Get In Touch -->                            
        <div class="contact-slide-hide bg-cover bg-no-repeat" style="background-image:url(/assets/images/background/bg-7.jpg)"> 
            <div class="contact-nav">
                 <a href="javascript:void(0)" class="contact_close">&times;</a>
                 <div class="contact-nav-form">
                    <div class="contact-nav-info bg-white p-a30 bg-center bg-no-repeat" style="background-image:url(/assets/images/background/bg-map2.png);">
                    	<div class="row">
                            <div class="col-lg-12 col-md-12">
                                <div class="cons-contact-form">
                                    <div class="m-b30">
                                        <!-- TITLE START -->
                                         <h2 class="m-b30">{{lang == 'en' ? 'Send Us an Inquiry' : 'Kirim Pertanyaan'}}</h2>
                                        <!-- TITLE END --> 
                                            <div class="row" v-if="onLoad">
                                                <div class="col-md-12" align="center">
                                                    <strong style="text-align: center;" align="center">
                                                    {{lang == 'en' ? 'Please Wait...' : 'Mohon Tunggu...'}}
                                                    </strong>
                                                </div>
                                                <div class="col-md-12">
                                                    <div class="p-t40" style="height: 300px;" >
                                                        <div class="loader" >
                                                            <span class="block-1"></span>
                                                            <span class="block-2"></span>
                                                            <span class="block-3"></span>
                                                            <span class="block-4"></span>
                                                            <span class="block-5"></span>
                                                            <span class="block-6"></span>
                                                            <span class="block-7"></span>
                                                            <span class="block-8"></span>
                                                            <span class="block-9"></span>
                                                            <span class="block-10"></span>
                                                            <span class="block-11"></span>
                                                            <span class="block-12"></span>
                                                            <span class="block-13"></span>
                                                            <span class="block-14"></span>
                                                            <span class="block-15"></span>
                                                            <span class="block-16"></span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row" v-if="onSuccess">
                                                <div class="col-md-12">
                                                    <div class="alert alert-success" role="alert">
                                                        {{lang == 'en' ? 'Thank you, we will contact you soon' : 'Terima Kasih, kami akan menghubungi anda segera'}}
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row" v-if="onError">
                                                <div class="col-md-12">
                                                    <div class="alert alert-danger" role="alert">
                                                        [internal server error] Please try again later
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row" v-if="!onLoad">
                                                
                                               <div class="col-md-6 col-sm-6">
                                                    <div class="form-group">
                                                        <input name="name" type="text" required class="form-control" v-bind:placeholder="lang == 'en' ? 'Full Name*':'Nama Lengkap*'" v-model="formInquiry.name">
                                                    </div>
                                                </div>
                                                
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group">
                                                       <input name="email" type="text" class="form-control" required placeholder="Email*" v-model="formInquiry.email">
                                                    </div>
                                                </div>
                                                
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group">
                                                        <input name="phone" type="text" class="form-control" v-bind:placeholder="lang == 'en' ? 'Phone':'Telepon'" v-model="formInquiry.phone">
                                                     </div>
                                                </div>
                                                
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group">
                                                         <input name="subject" type="text" class="form-control" v-bind:placeholder="lang == 'en' ? 'Subject':'Subyek'" v-model="formInquiry.subject">
                                                     </div>
                                                </div>
                                                
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <textarea name="body" class="form-control" rows="7" 
                                                        v-bind:placeholder="lang == 'en' ? 'You may write down: \n1. The capacity of PLN \n2. The last 3 months electricity bill \n3. Roof type and roof age \n4. Attach Photo of your roof for faster progress':'Anda dapat menuliskan: \n1. Kapisatas PLN \n2. Tagihan listrik 3 bulan terakhir \n3. Tipe atap dan umur atap \n4. Lampirkan foto atap anda untuk mempercepat proses.'" v-model="formInquiry.msg"></textarea>
                                                        
                                                     </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <a @click.prevent="openFile()" href="javascript:void(0)"><i class="fa fa-upload "></i> {{lang == 'en' ? 'Attachment':' Lampiran'}}</a>
                                                        <!-- <input v-model="formInquiry.fileName" type="text" class="form-control" disabled v-bind:placeholder="lang == 'en' ? 'No file Chosen':'Tidak ada file yang dipilih'">
                                                        <input id="files" type="file" class="form-control" hidden> -->
                                                        <div class="input-group mb-3">
                                                            <input v-model="formInquiry.fileName" type="text" class="form-control" disabled v-bind:placeholder="lang == 'en' ? 'No file Chosen':'Tidak ada file yang dipilih'">
                                                            <!-- <input type="text" class="form-control" placeholder="Recipient's username" aria-label="Recipient's username" aria-describedby="basic-addon2"> -->
                                                            <input id="files" type="file" class="form-control" hidden>
                                                            <div class="input-group-append">
                                                                <span class="input-group-text btn btn-success site-button site-btn-effect" id="basic-addon2" @click.prevent="openFile()">{{lang == 'en' ? 'Browse File' : 'Pilih Berkas'}}</span>
                                                            </div>
                                                        </div>
                                                     </div>
                                                </div>
                                                <div class="col-md-12">
                                                    <button @click.prevent="onSubmit" class="site-button site-btn-effect">{{lang == 'en' ? 'Send' : 'Kirim'}}</button>
                                                </div>
                                                
                                            </div>

                                            
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                        <div >
                            <div class="row">
                                <div class="col-md-12 col-lg-12">
                                    <div class="contact-nav-inner text-white justify-content-center" style="background-color: #141c17;">
                                        <!-- TITLE START -->
                                        <!-- TITLE END -->
                                            <div class="row">
                                                <div class="col-lg-4 col-md-12">
                                                    
                                                </div>
                                                <div class="col-lg-4 col-md-12">
                                                    <div class="wt-icon-box-wraper left icon-shake-outer">
                                                        <div class="icon-content">
                                                            <img src="assets/images/logo.png" alt="">
                                                        </div>
                                                    </div><br>
                                                    <ul align="center" class="social-icons  wt-social-links footer-social-icon justify-content-center" style="font-size: 16pt;">
                                                        <li><a style="margin-left: 10px;" href="https://www.youtube.com/channel/UCGCwNBEAlSA6yFw5rLO-UXQ" target="_BLANK" class="fa fa-youtube-play text-primary"></a></li>
                                                        <li><a style="margin-left: 10px;" href="https://www.instagram.com/helixindo" target="_BLANK" class="fa fa-instagram text-primary"></a></li>
                                                        <li><a style="margin-left: 10px;" href="https://www.facebook.com/helixindo" target="_BLANK" class="fa fa-facebook text-primary"></a></li>
                                                        <li><a style="margin-left: 10px;" href="https://www.linkedin.com/company/helixindo" target="_BLANK" class="fa fa-linkedin text-primary"></a></li>
                                                    </ul>
                                                </div>    
                                                <div class="col-lg-4 col-md-12">
                                                    
                                                </div>
                                          </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                                                                                        
                 </div>
            </div> 
        </div>     
        
        <!-- BUTTON TOP START -->
        
        <!-- <button class="scroltop" ><span class="fa fa-angle-up  relative" id="btn-vibrate"></span></button> -->
    </div>
</template>

<script>
    import axios from 'axios'

    export default {
        data() {
            return {
                lang: 'en',
                fileList: [],
                formInquiry: {
                    name: '',
                    email: '',
                    phone: null,
                    subject: '',
                    msg: '',
                    fileName: ''
                },
                onLoad: false,
                onSuccess: false,
                onError: false
            }
        },
        mounted() {
            if(!localStorage.getItem('__LANG') || localStorage.getItem('__LANG') == 'en') {
                this.lang = 'en'
            } else {
                this.lang = 'id'
            }
            $("#files").on('change', e => {
                this.fileList = e.target.files
                this.formInquiry.fileName = e.target.files[0].name
            })
            
            
        },
        methods: {
            onSubmit() {
                this.onLoad = true
                let formData = new FormData()
                formData.append('subject', this.formInquiry.subject)
                formData.append('namalengkap', this.formInquiry.name)
                formData.append('email', this.formInquiry.email)

                formData.append('hp', this.formInquiry.phone)
                formData.append('pesan', this.formInquiry.msg)

                if(this.fileList.length > 0) {
                    formData.append('file', this.fileList[0])
                }
                axios.post('https://helixindo.com/mailer.php', formData)
                .then(resp => {
                    console.log(resp)
                    this.onSuccess = true
                    this.fileList = [],
                    this.formInquiry = {
                        name: '',
                        email: '',
                        phone: null,
                        subject: '',
                        msg: '',
                        fileName: ''
                    }
                    setTimeout(() => {
                        this.onLoad = false
                    }, 500)
                    setTimeout(() => {
                        this.onSuccess = true
                    }, 600)
                    
                })
                .catch(err => {
                    setTimeout(() => {
                        this.onLoad = false
                    }, 500)
                    setTimeout(() => {
                        this.onError = true
                    }, 600)
                })
                .finally(() => {
                    setTimeout(() => {
                        this.onError = false
                        this.onSuccess = false
                    }, 3000)
                })
                



            },
            openFile() {
                $("#files").click()
            }
        }
    }
</script>